<!DOCTYPE html>
<html>
<head>
	<title>Inepta Ludum</title>
	<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
	<link rel="stylesheet" href="/css/app.css?nomin">
	<link rel="stylesheet" href="/css/pong.css">
	<!-- Feature detection -->
	<script src="/js/modernizr.custom.min.js"></script>

	<!-- jQuery -->
	<script src="/js/jquery-2.1.4.min.js"></script>
	<script src="/js/jquery-easing-1.3.js"></script>
	<script src="/js/jquery.transit.min.js"></script>

	<!-- Standalone libraries -->
	<script src="/js/extend-3.0.0.js"></script>
	<script src="/js/cookies.js"></script>
	<script src="/js/rus-diff-1.1.0.js"></script>

	<!-- Socket.IO -->
	<script src="/js/socket.io.js"></script>
	<script src="/js/socket.io-cookie-bridge.client.js"></script>

	<script src="/js/inepta.validation.js"></script>
	<script src="/js/inepta.app.js?nomin"></script>
</head>
<body>
	<div id="notification-bar"></div>
	
	<div id="take-over-overlay" class="modal-overlay">
		<div class="dialog">
			You are already connected to the game in another window. You can switch over to this window.<br><br>
			<div class="inepta-button yeah">Sounds good. Do it.</div>
		</div>
	</div>
	<div id="taken-over-overlay" class="modal-overlay">
		<div class="dialog">
			Another window connected using the same session ID.
		</div>
	</div>
	<div id="nickname-overlay" class="modal-overlay">
		<div class="dialog">
			We're gonna need a name.<br><br>
			<input type="text" placeholder="Make up a nickname..." id="nickname" class="dialog-input" maxlength="32" required>
		</div>
	</div>
	<div id="password-overlay" class="modal-overlay">
		<div class="dialog">
			This game is protected with a password.<br><br>
			<input type="password" placeholder="Enter it here..." id="password" class="dialog-input" maxlength="32" required><br><br>
			<div class="inepta-button">Never mind.</div>
		</div>
	</div>
	<div id="browser-flaws-overlay" class="modal-overlay">
		<div class="dialog">
			Your browser doesn't support:<br>
			<div id="browser-flaws-list"></div><br>
			<a href="//browser-update.org/update.html" target="_blank"><div class="inepta-button yeah">Upgrade your browser.</div></a> <div class="inepta-button" style="display: none;">Don't care.</div>
		</div>
	</div>
	<div id="cardcast-overlay" class="modal-overlay">
		<div class="dialog">
			1. Find a card deck <a href="https://www.cardcastgame.com/browse" target="_blank">here</a>.<br>
			2. Copy its 5-character code and paste it here.<br><br>
			<input type="text" placeholder="Code..." id="cardcast-code" class="dialog-input" maxlength="5" required><br><br>
			<div class="inepta-button add">Add!</div> <div class="inepta-button">Never mind.</div>
		</div>
	</div>
	<div id="leave-confirmation-overlay" class="modal-overlay">
		<div class="dialog">
			Are you sure you want to leave this game?<br><br>
			<div class="inepta-button yeah">Yeah.</div> <div class="inepta-button">No!</div>
		</div>
	</div>

	<div id="preparing-overlay" class="modal-overlay">
		<div class="loading-dialog">
			Inepta Ludum is connecting...<br><br>
			<div class="pong-loader">
				Yep.
			</div>
		</div>
	</div>

	<div id="cardcast-loading-overlay" class="modal-overlay">
		<div class="dialog loading-dialog">
			Loading deck metadata from Cardcast...<br><br>
			<div class="pong-loader">
				Yep.
			</div>
		</div>
	</div>

	<div id="control-bar" class="unselectable">
		<div class="control-bar-item control-bar-right">
			<div class="control-bar-title"><span id="nickname-indicator">Tobias</span> @ Inepta Ludum</div>
		</div>
		<div class="control-bar-left">
			<div class="control-bar-item" id="create-leave-button">Create a game</div>
			<div class="control-bar-item" id="game-settings-button">Game settings</div>
		</div>
	</div>

	<div id="content">
		<div id="game-list"></div>

		<div id="game-lobby">
			<h2>Game settings</h2>
			<table id="game-settings">
				<tr>
					<td>
						<label for="game-settings-name">Game name: </label>
					</td>
					<td>
						<input type="text" placeholder="<empty>" id="game-settings-name" maxlength="32">
					</td>
				</tr>
				<tr>
					<td>
						<label for="game-settings-password">Password: </label>
					</td>
					<td>
						<input type="password" placeholder="<empty>" id="game-settings-password" maxlength="32"> <div id="game-settings-password-show" class="show-key"></div>
					</td>
				</tr>
				<tr>
					<td>
						<label for="game-settings-score-limit">Score limit: </label>
					</td>
					<td>
						<select id="game-settings-score-limit"></select>
					</td>
				</tr>
				<tr>
					<td>
						<label for="game-settings-player-limit">Player limit: </label>
					</td>
					<td>
						<select id="game-settings-player-limit"></select>
					</td>
				</tr>
				<tr>
					<td>
						<label for="game-settings-idle-timer">Idle timer: </label>
					</td>
					<td>
						<select id="game-settings-idle-timer">
							<option value="on">On (90 seconds)</option>
							<option value="off">Off</option>
						</select>
					</td>
				</tr>
			</table>
			<div class="inepta-button" id="game-settings-apply" style="display: none;">Apply settings</div> <div class="inepta-button" id="game-settings-revert" style="display: none;">Revert</div>
			<div id="game-settings-decks-wrapper">
				<div id="game-settings-decks-overlay"></div>
				<div id="game-settings-decks" class="unselectable">
					<h2>Card decks</h2>
					<div id="game-settings-decks-tiles"><span id="game-settings-available-decks"></span><div class="deck special" id="add-from-cardcast-button">Add from Cardcast</div></div>
				</div>
			</div>
		</div>

		<div id="game-arena"></div>
	</div>

	<div id="templates">
		<div id="game-list-entry-template" class="game-list-entry">
			<h2 class="game-list-entry-title">Game title</h2>
			<div class="game-list-entry-settings"></div>
			<div class="game-list-entry-controls">
				<button class="game-list-entry-join">Join</button>
			</div>
		</div>

		<div id="deck-template" class="deck">
			<span class="deck-name"></span>
			<div class="deck-rating"></div>
			<div class="deck-card-count-wrapper">
				<span class="deck-card-count"></span>
				<div class="deck-card-count-icon"></div>
			</div>
		</div>
	</div>
</body>
</html>